Subject: Re: bug#1696: 23.0.60; Crash in XFreeColors

From: Markus Triska <[email-masked]>
Date: Sat, 09 May 2009 01:40:01 +0200

YAMAMOTO Mitsuharu <[email-masked]> writes:

> Could you try adding the following lines just before the call to
> XftFontMatch in xftfont.c?  This is not intended as a final solution,
> but just to see if my conjecture is correct.

Meanwhile I upgraded Kubuntu to the released version of "jaunty" and
cannot reproduce the problem I originally reported there. Thus I
unfortunately do not know whether your changes fix the problem. Thank
you nevertheless for looking into it - I hope they fix the issue for
others. On current OSX Leopard, I cannot start the client (using -c)
at all with Emacs CVS, since the server immediately crashes with:

mt-imac:emacs mt$ gdb emacs 17781
GNU gdb 6.3.50-20050815 (Apple version gdb-962) (Sat Jul 26 08:14:40 UTC 2008)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-apple-darwin"...Reading symbols for shared libraries ..................................... done

/Users/mt/emacs/17781: No such file or directory.
Attaching to program: `/usr/local/bin/emacs', process 17781.
Reading symbols for shared libraries ++++++++++++++++++++++++++++++++++++....................................................................................................... done
0x966036f2 in select$DARWIN_EXTSN ()
(gdb) The program is running.  Quit anyway (and detach it)? (y or n) y
Detaching from program: `/usr/local/bin/emacs', process 17781 thread 0x203.
mt-imac:emacs mt$ gdb emacs 17781
GNU gdb 6.3.50-20050815 (Apple version gdb-962) (Sat Jul 26 08:14:40 UTC 2008)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-apple-darwin"...Reading symbols for shared libraries ..................................... done

/Users/mt/emacs/17781: No such file or directory.
Attaching to program: `/usr/local/bin/emacs', process 17781.
Reading symbols for shared libraries ++++++++++++++++++++++++++++++++++++....................................................................................................... done
0x966036f2 in select$DARWIN_EXTSN ()
(gdb) c 
Continuing.

Program received signal SIGTRAP, Trace/breakpoint trap.
0x9578d871 in __CFRunLoopFindMode ()
(gdb) bt
#0  0x9578d871 in __CFRunLoopFindMode ()
#1  0x9578f6ac in CFRunLoopAddSource ()
#2  0x96916dd0 in DAApprovalSessionScheduleWithRunLoop ()
#3  0x96da621a in _FSGetDiskArbSession ()
#4  0x96da5f62 in CreateDiskArbDiskForMountPath ()
#5  0x96da4d8e in FSCacheableClient_GetVolumeCachedInfo ()
#6  0x96da46c7 in MountVolume ()
#7  0x96da43c2 in MountInitialVolumes ()
#8  0x96da3fc1 in INIT_FileManager ()
#9  0x96da3e70 in GetRetainedVolFSVCBByVolumeID ()
#10 0x96da260e in PathGetObjectInfo ()
#11 0x96da24d9 in FSPathMakeRefInternal ()
#12 0x96dae0ff in FSPathMakeRef ()
#13 0x00bc2052 in FT_New_Face_From_Resource ()
#14 0x00bc2340 in FT_New_Face ()
#15 0x00f4c21b in _XftLockFile ()
#16 0x00f4cb42 in XftFontOpenInfo ()
#17 0x00f4d816 in XftFontOpenPattern ()
#18 0x001c7917 in xftfont_open (f=0x183b650, entity=25437572, pixel_size=20) at xftfont.c:279
#19 0x001799b6 in font_open_entity (f=0x183b650, entity=25437572, pixel_size=20) at font.c:2926
#20 0x0017b6a7 in font_load_for_lface (f=0x183b650, attrs=0x1842580, spec=25437572) at font.c:3453
#21 0x0017b72f in font_open_by_spec (f=0xf, spec=15) at font.c:3504
#22 0x0017db85 in font_open_by_name (f=0xf, name=0x1842584 " %?\001?\034?\002\001\021\005\003?\020\005\003\t") at font.c:3522
#23 0x000136c5 in x_set_font (f=0x1842580, arg=42691723, oldval=41943049) at frame.c:3385
#24 0x00010d06 in x_set_frame_parameters (f=0x183b650, alist=22640485) at frame.c:3014
#25 0x00014933 in x_default_parameter (f=0x183b650, alist=15, prop=42093081, deflt=42691819, xprop=0xf <Address 0xf out of bounds>, xclass=0xf <Address 0xf out of bounds>, type=15) at frame.c:4127
#26 0x000a6e20 in x_default_font_parameter (f=0x183b650, parms=22653253) at xfns.c:3095
#27 0x000a80dd in Fx_create_frame (parms=22653253) at xfns.c:3309
#28 0x001650a1 in Ffuncall (nargs=2, args=0xbfffd0d0) at eval.c:3051
#29 0x001a038b in Fbyte_code (bytestr=2215915, vector=2215932, maxdepth=5) at bytecode.c:678
#30 0x00164951 in funcall_lambda (fun=2215868, nargs=1, arg_vector=0xbfffd264) at eval.c:3232
#31 0x00164e9b in Ffuncall (nargs=2, args=0xbfffd260) at eval.c:3102
#32 0x001a038b in Fbyte_code (bytestr=2502571, vector=2502588, maxdepth=6) at bytecode.c:678
#33 0x00164951 in funcall_lambda (fun=2502524, nargs=1, arg_vector=0xbfffd3f4) at eval.c:3232
#34 0x00164e9b in Ffuncall (nargs=2, args=0xbfffd3f0) at eval.c:3102
#35 0x001a038b in Fbyte_code (bytestr=2501451, vector=2501468, maxdepth=4) at bytecode.c:678
#36 0x00164951 in funcall_lambda (fun=2501396, nargs=2, arg_vector=0xbfffd574) at eval.c:3232
#37 0x00164e9b in Ffuncall (nargs=3, args=0xbfffd570) at eval.c:3102
#38 0x001a038b in Fbyte_code (bytestr=42600811, vector=25203460, maxdepth=5) at bytecode.c:678
#39 0x00164951 in funcall_lambda (fun=25199876, nargs=3, arg_vector=0xbfffd704) at eval.c:3232
#40 0x00164e9b in Ffuncall (nargs=4, args=0xbfffd700) at eval.c:3102
#41 0x001a038b in Fbyte_code (bytestr=42589595, vector=25208916, maxdepth=17) at bytecode.c:678
#42 0x001644b6 in Feval (form=22588933) at eval.c:2386
#43 0x00166da2 in internal_lisp_condition_case (var=42305513, bodyform=22588933, handlers=22613341) at eval.c:1457
#44 0x001a0da2 in Fbyte_code (bytestr=42590171, vector=25209412, maxdepth=6) at bytecode.c:868
#45 0x001644b6 in Feval (form=22554309) at eval.c:2386
#46 0x00162bbc in internal_catch (tag=15, func=0x164090 <Feval>, arg=22554309) at eval.c:1248
#47 0x001a0d46 in Fbyte_code (bytestr=42590251, vector=25202884, maxdepth=2) at bytecode.c:853
#48 0x00164951 in funcall_lambda (fun=25209668, nargs=2, arg_vector=0xbfffdcf4) at eval.c:3232
#49 0x00164e9b in Ffuncall (nargs=3, args=0xbfffdcf0) at eval.c:3102
#50 0x001668b5 in Fapply (nargs=2, args=0xbfffdd80) at eval.c:2533
#51 0x00166a0d in apply1 (fn=50488705, arg=24868373) at eval.c:2797
#52 0x001a387d in read_process_output_call (fun_and_args=24868365) at process.c:5155
#53 0x00162cf3 in internal_condition_case_1 (bfun=0x1a3860 <read_process_output_call>, arg=24868365, handlers=41982641, hfun=0x1a3880 <read_process_output_error_handler>) at eval.c:1560
#54 0x001a3da0 in read_process_output (proc=25216740, channel=41982641) at process.c:5343
#55 0x001aa2a7 in wait_reading_process_output (time_limit=0, microsecs=0, read_kbd=-1, do_display=1, wait_for_cell=41943049, wait_proc=0x0, just_wait_proc=0) at process.c:4997
#56 0x000fb9bc in read_char (commandflag=1, nmaps=2, maps=0xbffff420, prev_event=41943049, used_mouse_menu=0xbffff518, end_time=0x0) at keyboard.c:4099
#57 0x000fd9f4 in read_key_sequence (keybuf=0xbffff5d8, bufsize=30, prompt=41943049, dont_downcase_last=0, can_return_switch_frame=1, fix_current_buffer=1) at keyboard.c:9458
#58 0x000fff1a in command_loop_1 () at keyboard.c:1642
#59 0x00162fdd in internal_condition_case (bfun=0xffce0 <command_loop_1>, handlers=41982641, hfun=0xf6560 <cmd_error>) at eval.c:1512
#60 0x000ef208 in command_loop_2 () at keyboard.c:1359
#61 0x00162bbc in internal_catch (tag=15, func=0xef1c0 <command_loop_2>, arg=41943049) at eval.c:1248
#62 0x000eef5e in command_loop () at keyboard.c:1338
#63 0x000ef022 in recursive_edit_1 () at keyboard.c:953
#64 0x000ef1a1 in Frecursive_edit () at keyboard.c:1015
#65 0x000edf0b in main (argc=3, argv=0xbffff9d8) at emacs.c:1852

In GNU Emacs 23.0.93.1 (i386-apple-darwin9.6.1, GTK+ Version 2.14.7)
 of 2009-05-09 on mt-imac.local
Windowing system distributor `The X.Org Foundation', version 11.0.10402000
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t